Get a list of published videos
Deprecated
GET
/video
const url = 'https://app.mediamanager.io/api/v1/video';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.mediamanager.io/api/v1/video \ --header 'Authorization: <Authorization>'Paginated list of published videos
This is a deprecated endpoint and will be removed. Please use /media?filter[video]=true instead.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
data
Array<object>
Shared schema for all media of any content type
object
token
string format: uuid
type
string
title
string
tags
Array<string>
duration
number
version
integer
is_downloadable
boolean
is_live
boolean
created_at
string format: date-time
updated_at
string format: date-time
sub_property_id
integer
custom_fields
Custom fields as key value pairs
object
key
additional properties
string
player
object
color
string
button
object
title
string
url
string format: uri
media
object
playlist
string
aspect_ration
string
thumbnail
string format: uri
transcript
string format: uri
tracks
object
chapters
string format: uri
captions
Array<string>
storyboard
string format: uri
key
additional properties
any
links
object
first
string
last
string
prev
string
next
string
meta
object
current_page
integer
from
integer
last_page
integer
links
Array<object>
object
url
string
label
string
active
boolean
path
string
per_page
integer
to
integer
total
integer
Example
{ "data": [ { "type": "Audio" } ]}Missing or invalid Authorization Bearer token
Media type application/json
object
message
string
Example generated
{ "message": "example"}